For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of payment acceptors for provided filters
      • POSTCreate a payment acceptor
      • POSTRetrieve payment method options for payment acceptors
      • GETGet a payment acceptor by resource ID
      • DELDelete a payment acceptor
      • PATCHUpdate the payment acceptor
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPayment Acceptors

Retrieve payment method options for payment acceptors

POST
/v:version/payment-acceptors/payment-method-options
POST
/v:version/payment-acceptors/payment-method-options
$curl -X POST https://test.api.solvimon.com/v1/payment-acceptors/payment-method-options \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1[
2 {
3 "payment_acceptor": {
4 "object_type": "string",
5 "id": "string",
6 "billing_entity_id": "string",
7 "customer_id": "string",
8 "reference": "string",
9 "name": "string",
10 "description": "string",
11 "type": "BANK_ACCOUNT",
12 "bank_account": {
13 "type": "IBAN",
14 "iban": "string",
15 "country": "string",
16 "bic": "string",
17 "bank_name": "string",
18 "bank_address": {
19 "line1": "string",
20 "line2": "string",
21 "city": "string",
22 "postal_code": "string",
23 "state": "string",
24 "country": "AD"
25 },
26 "account_number_and_bic": {
27 "account_number": "string",
28 "bank_code": "string",
29 "bic": "string"
30 },
31 "uk_local": {
32 "account_number": "string",
33 "sort_code": "string"
34 },
35 "us_local": {
36 "account_number": "string",
37 "account_type": "CHECKING",
38 "bank_code": "string",
39 "routing_number": "string"
40 },
41 "br_local": {
42 "branch": "string",
43 "account_number": "string",
44 "bic": "string"
45 },
46 "ar_local": {
47 "cbu": "string",
48 "account_number": "string",
49 "bic": "string"
50 },
51 "mx_local": {
52 "clabe": "string",
53 "account_number": "string",
54 "bic": "string"
55 },
56 "account_number": "string",
57 "bank_code": "string",
58 "routing_number": "string",
59 "account_type": "CHECKING"
60 },
61 "payment_gateway": {
62 "integration_id": "string",
63 "integration": {
64 "object_type": "string",
65 "id": "string",
66 "reference": "string",
67 "name": "string",
68 "description": "string",
69 "status": "DRAFT",
70 "message": "string",
71 "type": "PAYMENT_GATEWAY",
72 "authentication": {
73 "api_key": {
74 "header": "string",
75 "value": "string"
76 },
77 "client_credentials": {
78 "client_id": "string",
79 "client_secret": "string"
80 },
81 "username_password": {
82 "username": "string",
83 "password": "string"
84 }
85 },
86 "payment_gateway": {
87 "variant": "ADYEN",
88 "adyen": {
89 "company_account": "string",
90 "environment": "LIVE",
91 "live_prefix": "string",
92 "merchant_accounts": [
93 "string"
94 ],
95 "public_key": "string",
96 "signing_secret": "string",
97 "ownership": "PLATFORM",
98 "system_ownership_details": {
99 "account_holder_id": "string",
100 "balance_account_id": "string",
101 "legal_entity_id": "string"
102 },
103 "balance_platform_details": {
104 "account": "string",
105 "authentication": {
106 "api_key": {
107 "header": "string",
108 "value": "string"
109 },
110 "client_credentials": {
111 "client_id": "string",
112 "client_secret": "string"
113 },
114 "username_password": {
115 "username": "string",
116 "password": "string"
117 }
118 }
119 },
120 "legal_entity_manager_details": {
121 "authentication": {
122 "api_key": {
123 "header": "string",
124 "value": "string"
125 },
126 "client_credentials": {
127 "client_id": "string",
128 "client_secret": "string"
129 },
130 "username_password": {
131 "username": "string",
132 "password": "string"
133 }
134 }
135 },
136 "enabled_payment_methods": [
137 "string"
138 ]
139 },
140 "stripe": {
141 "public_key": "string",
142 "signing_secret": "string"
143 }
144 },
145 "e_invoicing": {
146 "mandates": [
147 {
148 "name": "string",
149 "country": "string",
150 "mappings": [
151 {
152 "target": "string",
153 "source": "string",
154 "description": "string"
155 }
156 ],
157 "condition_groups": [
158 {
159 "conditions": [
160 {
161 "field": "string",
162 "comparator_type": "EQUALS",
163 "value": "string"
164 }
165 ]
166 }
167 ],
168 "include_pdf_in_einvoice": true,
169 "supported_file_formats": [
170 {
171 "type": "string",
172 "description": "string"
173 }
174 ]
175 }
176 ],
177 "processor": "AVALARA"
178 },
179 "data_export": {
180 "variant": "S3",
181 "s3": {
182 "bucket_name": "string",
183 "bucket_path": "string",
184 "bucket_region": "string"
185 },
186 "bigquery": {
187 "project_id": "string",
188 "dataset_id": "string",
189 "dataset_location": "string",
190 "gcs_bucket_name": "string",
191 "gcs_hmac_key_access_id": "string",
192 "gcs_hmac_key_secret": "string"
193 },
194 "gcs": {
195 "bucket_region": "string",
196 "bucket_name": "string",
197 "bucket_path": "string",
198 "flattening": true
199 },
200 "snowflake": {
201 "host": "string",
202 "role": "string",
203 "warehouse": "string",
204 "database": "string",
205 "schema": "string"
206 }
207 },
208 "tax_calculation": {
209 "billing_entity_id": "string",
210 "variant": "AVATAX",
211 "ava_tax": {
212 "company_code": "string"
213 },
214 "custom_tax_codes": [
215 {
216 "field": "INVOICE_COMMITMENT",
217 "value": "string"
218 }
219 ],
220 "enable_tax_filing": true
221 },
222 "linked_resources_configurations": [
223 {
224 "resource_type": "string",
225 "link_details": [
226 {
227 "base_url": "string",
228 "custom_field_reference": "string"
229 }
230 ]
231 }
232 ],
233 "email_provider": {
234 "variant": "SYSTEM",
235 "mailgun": {
236 "domain": "string",
237 "region": "US",
238 "plan": "string"
239 },
240 "delivery_window": {
241 "type": "DAY",
242 "value": 1
243 },
244 "use_localized_templates": true
245 }
246 },
247 "store_payment_method": true,
248 "auto_charge_payment_method": true,
249 "collection_type": "LINK",
250 "link": {
251 "expiry_period": {
252 "type": "DAY",
253 "value": 1
254 }
255 },
256 "adyen": {
257 "auto_rescue": {
258 "enabled": true,
259 "period": {
260 "type": "DAY",
261 "value": 1
262 }
263 },
264 "merchant_account": "string",
265 "allowed_payment_methods": [
266 "string"
267 ]
268 }
269 },
270 "custom_redirect": {
271 "url": "string"
272 },
273 "status": "DRAFT"
274 },
275 "integration": {
276 "object_type": "string",
277 "id": "string",
278 "reference": "string",
279 "name": "string",
280 "description": "string",
281 "status": "DRAFT",
282 "message": "string",
283 "type": "PAYMENT_GATEWAY",
284 "authentication": {
285 "api_key": {
286 "header": "string",
287 "value": "string"
288 },
289 "client_credentials": {
290 "client_id": "string",
291 "client_secret": "string"
292 },
293 "username_password": {
294 "username": "string",
295 "password": "string"
296 }
297 },
298 "payment_gateway": {
299 "variant": "ADYEN",
300 "adyen": {
301 "company_account": "string",
302 "environment": "LIVE",
303 "live_prefix": "string",
304 "merchant_accounts": [
305 "string"
306 ],
307 "public_key": "string",
308 "signing_secret": "string",
309 "ownership": "PLATFORM",
310 "system_ownership_details": {
311 "account_holder_id": "string",
312 "balance_account_id": "string",
313 "legal_entity_id": "string"
314 },
315 "balance_platform_details": {
316 "account": "string",
317 "authentication": {
318 "api_key": {
319 "header": "string",
320 "value": "string"
321 },
322 "client_credentials": {
323 "client_id": "string",
324 "client_secret": "string"
325 },
326 "username_password": {
327 "username": "string",
328 "password": "string"
329 }
330 }
331 },
332 "legal_entity_manager_details": {
333 "authentication": {
334 "api_key": {
335 "header": "string",
336 "value": "string"
337 },
338 "client_credentials": {
339 "client_id": "string",
340 "client_secret": "string"
341 },
342 "username_password": {
343 "username": "string",
344 "password": "string"
345 }
346 }
347 },
348 "enabled_payment_methods": [
349 "string"
350 ]
351 },
352 "stripe": {
353 "public_key": "string",
354 "signing_secret": "string"
355 }
356 },
357 "e_invoicing": {
358 "mandates": [
359 {
360 "name": "string",
361 "country": "string",
362 "mappings": [
363 {
364 "target": "string",
365 "source": "string",
366 "description": "string"
367 }
368 ],
369 "condition_groups": [
370 {
371 "conditions": [
372 {
373 "field": "string",
374 "comparator_type": "EQUALS",
375 "value": "string"
376 }
377 ]
378 }
379 ],
380 "include_pdf_in_einvoice": true,
381 "supported_file_formats": [
382 {
383 "type": "string",
384 "description": "string"
385 }
386 ]
387 }
388 ],
389 "processor": "AVALARA"
390 },
391 "data_export": {
392 "variant": "S3",
393 "s3": {
394 "bucket_name": "string",
395 "bucket_path": "string",
396 "bucket_region": "string"
397 },
398 "bigquery": {
399 "project_id": "string",
400 "dataset_id": "string",
401 "dataset_location": "string",
402 "gcs_bucket_name": "string",
403 "gcs_hmac_key_access_id": "string",
404 "gcs_hmac_key_secret": "string"
405 },
406 "gcs": {
407 "bucket_region": "string",
408 "bucket_name": "string",
409 "bucket_path": "string",
410 "flattening": true
411 },
412 "snowflake": {
413 "host": "string",
414 "role": "string",
415 "warehouse": "string",
416 "database": "string",
417 "schema": "string"
418 }
419 },
420 "tax_calculation": {
421 "billing_entity_id": "string",
422 "variant": "AVATAX",
423 "ava_tax": {
424 "company_code": "string"
425 },
426 "custom_tax_codes": [
427 {
428 "field": "INVOICE_COMMITMENT",
429 "value": "string"
430 }
431 ],
432 "enable_tax_filing": true
433 },
434 "linked_resources_configurations": [
435 {
436 "resource_type": "string",
437 "link_details": [
438 {
439 "base_url": "string",
440 "custom_field_reference": "string"
441 }
442 ]
443 }
444 ],
445 "email_provider": {
446 "variant": "SYSTEM",
447 "mailgun": {
448 "domain": "string",
449 "region": "US",
450 "plan": "string"
451 },
452 "delivery_window": {
453 "type": "DAY",
454 "value": 1
455 },
456 "use_localized_templates": true
457 }
458 },
459 "options": [
460 {
461 "name": "string",
462 "payment_method_variant": "string",
463 "payment_gateway_variant": "string",
464 "adyen": {
465 "name": "string",
466 "type": "string",
467 "brand": "string",
468 "brands": [
469 "string"
470 ],
471 "funding_source": "string",
472 "issuers": [
473 {
474 "id": "string",
475 "name": "string"
476 }
477 ],
478 "store_payment_method": true,
479 "configuration": {}
480 },
481 "stripe": {
482 "name": "string"
483 }
484 }
485 ]
486 }
487]

Requires the PAYMENT_ACCEPTOR.VIEW permission.

Was this page helpful?
Previous

Get a payment acceptor by resource ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstring or nullOptional
Resource ID of type CUSTOMER
pricing_plan_subscription_idstring or nullOptional

Resource ID of type PRICING_PLAN_SUBSCRIPTION

invoice_idstring or nullOptional
Resource ID of type INVOICE
amountobjectOptional
countryenum or nullOptional

Response

OK
payment_acceptorobject
integrationobject
optionslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error